/* $Id: bulk.h,v 1.1.1.1 2008/07/25 14:11:35 mit-sato Exp $ */

#ifndef __BULK__
#define __BULK__

#include <t_gc.h>

#ifndef EOF
#define EOF	(-1)
#endif

typedef struct _bulk {
    int length;
    int allocsize;
    int pos;
    int line;
    char *data;
} Bulk;

Bulk*	new_bulk();
int	bulk_load_file(Bulk *bulk, const char *file);
int	bulk_set_string(Bulk *bulk, const char *str);
int	bulk_rewind(Bulk *bulk);
int	bulk_getchar(Bulk *bulk);
int	bulk_ungetchar(Bulk *bulk);
int	bulk_is_eof(Bulk *bulk);
int	bulk_get_length(Bulk *bulk);
int	bulk_get_position(Bulk *bulk);
int	bulk_set_position(Bulk *bulk, int pos);
int	bulk_get_line(Bulk *bulk);
char*	bulk_get_addr(Bulk *bulk);

#endif /* __BULK__ */
